<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
              xmlns:app="http://schemas.android.com/apk/res-auto"
              android:layout_width="match_parent"
              android:layout_height="match_parent"
              android:orientation="vertical">
    <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">
        <Button
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Play"
                android:onClick="play"/>
        <Button
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Pause"
                android:onClick="pause"/>
        <Button
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Stop"
                android:onClick="stop"/>
        <Button
                android:text="Open"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
        android:onClick="open"/>
    </LinearLayout>
    <VideoView android:id="@+id/videoPlayer"
               android:layout_gravity="center"
               android:layout_height="321dp"
               android:layout_width="match_parent"/>
    <Button android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Play from link"
            android:onClick="playLink"
            android:id="@+id/linkTextButton"/>
    <EditText
            android:layout_width="match_parent"
            android:layout_height="wrap_content" android:id="@+id/linkText"/>

</LinearLayout>